#!/usr/bin/perl
###########################
##  AutoRank Pro v3.0.0  ##
##################################################
##  init.cgi - initialize if using .htaccess    ##
##################################################

package init;

use lib '.';                                    ## You may need to change this to the full path to cgiworks.pm
use strict;
use cgiworks;
use vars qw( $ADIR );

$ADIR = './admin';                              ## You may need to change this to the full path to the admin directory

print "Content-type: text/html\n\n";
$HEADER = 1;

eval {
  require 'arp.pl';
  main();
};

err("$@", 'init.cgi') if( $@ );
exit;

#################################################################################
##  Removing any code from this file which creates the link back to CGI Works  ##
##  is a copyright violation.  If your site is found to have removed the link  ##
##  your software license will be terminated and the proper authorities will   ##
##  be contacted.  Do not remove any code that creates the link to CGI Works.  ##
#################################################################################

sub main {
  return if( !$ENV{'REQUEST_METHOD'} );
  fwritenew("$ADIR/.htpasswd", 'admin:' . crypt('admin', getsalt()) . "\n");

  print <<HTML;
<html>
<head>
  <title>AutoRank Pro Initialization</title>
</head>
<body bgcolor="#ffffff" text="#000000" link="#7384BD" vlink="#adadad" alink="#ff0000">

<div align="center">

<table border="0" cellpadding="0" cellspacing="0" width="650">
<tr bgcolor="#000000">
<td align="center">

<table cellspacing="1" cellpadding="3" border="0" width="100%">
<tr>
<td bgcolor="#7384BD" align="center">
<font face="Arial" size="3" color="white">
<b>AutoRank Pro Initialization</b>
</font>
</td>
</tr>

<tr>
<td bgcolor="#ffffff">
<font face="Arial" size="2">
AutoRank Pro has been intialized.  You should now visit the <a href="admin/setup.cgi">setup.cgi</a> script so you can 
enter your variables and options.  If you receive a 500 server error when trying to access setup.cgi, it could indicate
that your .htaccess file is not setup properly.  Double check that and contact your server administrator if neccesary.

<br><br>

Default login information has been set for the administrative area.  Use the following for your initial access:

<br><br>

<b>Username:</b> admin<br>
<b>Password:</b> admin
</font>
</td>
</tr>

</table>

</td>
</tr>
</table>

</body>
</html>
HTML
}
